Kea: isc::http::HttpVersion Struct Reference

| Kea 2.2.0

Public Member Functions | Public Attributes | List of all members
isc::http::HttpVersion Struct Reference

HTTP protocol version. More...

`#include <http_types.h>`

## Public Member Functions
| HttpVersion (const unsigned major, const unsigned minor)
| Constructor. More...
bool | operator!= (const HttpVersion &rhs) const
| Operator not equal. More...
bool | operator< (const HttpVersion &rhs) const
| Operator less. More...
bool | operator== (const HttpVersion &rhs) const
| Operator equal. More...

## Static Public Member Functions
Methods returning @c HttpVersion object encapsulating typical
HTTP version numbers.
static const HttpVersion & | HTTP_10 ()
| HTTP version 1.0. More...
static const HttpVersion & | HTTP_11 ()
| HTTP version 1.1. More...
static const HttpVersion & | HTTP_20 ()
| HTTP version 2.0. More...

## Public Attributes
unsigned | major_
| Major HTTP version. More...
unsigned | minor_
| Minor HTTP version. More...

## Detailed Description

HTTP protocol version.

Definition at line 14 of file http_types.h.

## Constructor & Destructor Documentation

## ◆ HttpVersion()

isc::http::HttpVersion::HttpVersion | ( | const unsigned | major,
|  | const unsigned | minor
| ) |  |
| inlineexplicit

Constructor.

Parameters

  major | Major HTTP version.
  minor | Minor HTTP version.

Definition at line 22 of file http_types.h.

## Member Function Documentation

## ◆ HTTP_10()

static const HttpVersion & isc::http::HttpVersion::HTTP_10 | ( |  | ) |
| inlinestatic

HTTP version 1.0.

Definition at line 53 of file http_types.h.

Referenced by isc::http::HttpRequest::isPersistent(), and isc::http::HttpConnection::requestTimeoutCallback().

## ◆ HTTP_11()

static const HttpVersion & isc::http::HttpVersion::HTTP_11 | ( |  | ) |
| inlinestatic

HTTP version 1.1.

Definition at line 59 of file http_types.h.

## ◆ HTTP_20()

static const HttpVersion & isc::http::HttpVersion::HTTP_20 | ( |  | ) |
| inlinestatic

HTTP version 2.0.

Definition at line 65 of file http_types.h.

## ◆ operator!=()

bool isc::http::HttpVersion::operator!= | ( | const HttpVersion & | rhs | ) | const
| inline

Operator not equal.

Parameters

  rhs | Version to compare to.

Definition at line 44 of file http_types.h.

## ◆ operator<()

bool isc::http::HttpVersion::operator< | ( | const HttpVersion & | rhs | ) | const
| inline

Operator less.

Parameters

  rhs | Version to compare to.

Definition at line 29 of file http_types.h.

References major_, and minor_.

## ◆ operator==()

bool isc::http::HttpVersion::operator== | ( | const HttpVersion & | rhs | ) | const
| inline

Operator equal.

Parameters

  rhs | Version to compare to.

Definition at line 37 of file http_types.h.

References major_, and minor_.

## Member Data Documentation

## ◆ major_

unsigned isc::http::HttpVersion::major_

Major HTTP version.

Definition at line 15 of file http_types.h.

Referenced by isc::http::HttpRequest::create(), isc::http::HttpResponse::create(), isc::config::CmdResponseCreator::filterCommand(), operator<(), operator==(), isc::http::HttpRequest::toBriefString(), and isc::http::HttpResponse::toBriefString().

## ◆ minor_

unsigned isc::http::HttpVersion::minor_

Minor HTTP version.

Definition at line 16 of file http_types.h.

Referenced by isc::http::HttpRequest::create(), isc::http::HttpResponse::create(), isc::config::CmdResponseCreator::filterCommand(), operator<(), operator==(), isc::http::HttpRequest::toBriefString(), and isc::http::HttpResponse::toBriefString().

The documentation for this struct was generated from the following file:

- http_types.h